Index: Makefile.global.in
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/Makefile.global.in,v
retrieving revision 1.190
diff -c -r1.190 Makefile.global.in
*** Makefile.global.in	30 Jul 2004 12:26:40 -0000	1.190
--- Makefile.global.in	31 Jul 2004 20:56:05 -0000
***************
*** 373,378 ****
--- 373,396 ----
  %.bz2: %
  	$(BZIP2) -f $<

+ ifeq ($(PORTNAME),win32)
+ # Build rules to add versioninfo resources to win32 binaries
+ PORTOBJ += win32ver.o
+ FILEDESC := $(subst /,\/,$(PGFILEDESC))
+ ifeq ($(PGFILESHLIB),1)
+ PGFTYPE=VFT_DLL
+ else
+ PGFTYPE=VFT_APP
+ endif
+ ifneq (,$(PGAPPICON))
+ PGICOSTR=$(subst /,\/,IDI_ICON ICON \"$(top_builddir)/src/port/$(PGAPPICON).ico\")
+ endif
+ win32ver.rc: $(top_builddir)/src/port/win32ver.rc
+ 	sed -e "s/FILEDESC/\"$(FILEDESC)\"/" -e "s/VFT_APP/$(PGFTYPE)/" -e "s/_ICO_/$(PGICOSTR)/" $(top_builddir)/src/port/win32ver.rc > win32ver.rc	
+ win32ver.o: win32ver.rc
+ 	windres -i win32ver.rc -o win32ver.o --include-dir=$(top_builddir)/src/include
+ 	rm -f win32ver.rc
+ endif
  
  ifndef PGXS
  
Index: backend/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/Makefile,v
retrieving revision 1.103
diff -c -r1.103 Makefile
*** backend/Makefile	21 Jul 2004 20:34:44 -0000	1.103
--- backend/Makefile	31 Jul 2004 20:58:21 -0000
***************
*** 10,15 ****
--- 10,16 ----
  
  subdir = src/backend
  top_builddir = ../..
+ PGFILEDESC=PostgreSQL Database Backend
  include $(top_builddir)/src/Makefile.global
  
  DIRS := access bootstrap catalog parser commands executor lib libpq \
***************
*** 58,72 ****
  
  ifeq ($(PORTNAME), win32)
  
! postgres: $(OBJS) $(DLLINIT) postgres.def libpostgres.a
  	$(DLLTOOL) --dllname $@$(X) --output-exp $@.exp --def postgres.def
! 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@$(X) -Wl,--base-file,$@.base $@.exp $(OBJS) $(LIBS)
  	$(DLLTOOL) --dllname $@$(X) --base-file $@.base --output-exp $@.exp --def postgres.def
! 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@$(X) $@.exp $(OBJS) $(LIBS)
  	rm -f $@.exp $@.base
  
  postgres.def: $(OBJS)
! 	$(DLLTOOL) --export-all --output-def $@ $^
  
  libpostgres.a: postgres.def
  	$(DLLTOOL) --dllname postgres.exe --def postgres.def --output-lib $@
--- 59,73 ----
  
  ifeq ($(PORTNAME), win32)
  
! postgres: $(OBJS) $(DLLINIT) postgres.def libpostgres.a $(PORTOBJ)
  	$(DLLTOOL) --dllname $@$(X) --output-exp $@.exp --def postgres.def
! 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@$(X) -Wl,--base-file,$@.base $@.exp $(OBJS) $(PORTOBJ) $(LIBS)
  	$(DLLTOOL) --dllname $@$(X) --base-file $@.base --output-exp $@.exp --def postgres.def
! 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@$(X) $@.exp $(OBJS) $(PORTOBJ) $(LIBS)
  	rm -f $@.exp $@.base
  
  postgres.def: $(OBJS)
! 	$(DLLTOOL) --export-all --output-def $@ $^ $(top_builddir)/src/port/libpgport.a
  
  libpostgres.a: postgres.def
  	$(DLLTOOL) --dllname postgres.exe --def postgres.def --output-lib $@
Index: bin/initdb/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/initdb/Makefile,v
retrieving revision 1.41
diff -c -r1.41 Makefile
*** bin/initdb/Makefile	24 May 2004 01:01:37 -0000	1.41
--- bin/initdb/Makefile	31 Jul 2004 20:49:12 -0000
***************
*** 11,21 ****

  subdir = src/bin/initdb
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS := -DFRONTEND -I$(libpq_srcdir) $(CPPFLAGS)

! OBJS=	initdb.o exec.o

  all: submake-libpq submake-libpgport initdb

--- 11,22 ----

  subdir = src/bin/initdb
  top_builddir = ../../..
+ PGFILEDESC=initdb - initialize a new database cluster
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS := -DFRONTEND -I$(libpq_srcdir) $(CPPFLAGS)

! OBJS=	initdb.o exec.o $(PORTOBJ)

  all: submake-libpq submake-libpgport initdb

Index: bin/pg_controldata/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_controldata/Makefile,v
retrieving revision 1.9
diff -c -r1.9 Makefile
*** bin/pg_controldata/Makefile	26 May 2004 17:24:01 -0000	1.9
--- bin/pg_controldata/Makefile	31 Jul 2004 20:49:58 -0000
***************
*** 10,20 ****

  subdir = src/bin/pg_controldata
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS += -DFRONTEND

! OBJS= pg_controldata.o pg_crc.o exec.o

  all: submake-libpgport pg_controldata

--- 10,21 ----

  subdir = src/bin/pg_controldata
  top_builddir = ../../..
+ PGFILEDESC=pg_controldata - reads the data from pg_control
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS += -DFRONTEND

! OBJS= pg_controldata.o pg_crc.o exec.o $(PORTOBJ)

  all: submake-libpgport pg_controldata

Index: bin/pg_ctl/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_ctl/Makefile,v
retrieving revision 1.14
diff -c -r1.14 Makefile
*** bin/pg_ctl/Makefile	27 May 2004 03:37:55 -0000	1.14
--- bin/pg_ctl/Makefile	31 Jul 2004 20:59:33 -0000
***************
*** 11,21 ****

  subdir = src/bin/pg_ctl
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS := -DFRONTEND -DDEF_PGPORT=$(DEF_PGPORT) -I$(libpq_srcdir) $(CPPFLAGS)

! OBJS=	pg_ctl.o exec.o

  all: submake-libpq submake-libpgport pg_ctl

--- 11,22 ----

  subdir = src/bin/pg_ctl
  top_builddir = ../../..
+ PGFILEDESC=pg_ctl - starts/stops/restarts the PostgreSQL server
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS := -DFRONTEND -DDEF_PGPORT=$(DEF_PGPORT) -I$(libpq_srcdir) $(CPPFLAGS)

! OBJS=	pg_ctl.o exec.o $(PORTOBJ)

  all: submake-libpq submake-libpgport pg_ctl

Index: bin/pg_dump/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_dump/Makefile,v
retrieving revision 1.52
diff -c -r1.52 Makefile
*** bin/pg_dump/Makefile	25 May 2004 01:00:24 -0000	1.52
--- bin/pg_dump/Makefile	31 Jul 2004 20:51:32 -0000
***************
*** 11,23 ****

  subdir = src/bin/pg_dump
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS := -I$(libpq_srcdir) $(CPPFLAGS) -DFRONTEND

  OBJS=	pg_backup_archiver.o pg_backup_db.o pg_backup_custom.o \
  	pg_backup_files.o pg_backup_null.o pg_backup_tar.o \
! 	dumputils.o exec.o

  EXTRA_OBJS = $(top_builddir)/src/backend/parser/keywords.o

--- 11,24 ----

  subdir = src/bin/pg_dump
  top_builddir = ../../..
+ PGFILEDESC=pg_dump/pg_restore/pg_dumpall - backup and restore PostgreSQL databases
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS := -I$(libpq_srcdir) $(CPPFLAGS) -DFRONTEND

  OBJS=	pg_backup_archiver.o pg_backup_db.o pg_backup_custom.o \
  	pg_backup_files.o pg_backup_null.o pg_backup_tar.o \
! 	dumputils.o exec.o $(PORTOBJ)

  EXTRA_OBJS = $(top_builddir)/src/backend/parser/keywords.o

***************
*** 31,37 ****
  	$(CC) $(CFLAGS) pg_restore.o $(OBJS) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  pg_dumpall: pg_dumpall.o dumputils.o exec.o $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_dumpall.o dumputils.o exec.o $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  # We need our own build of exec.c so it gets made with -DFRONTEND
  exec.c: % : $(top_srcdir)/src/port/%
--- 32,38 ----
  	$(CC) $(CFLAGS) pg_restore.o $(OBJS) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  pg_dumpall: pg_dumpall.o dumputils.o exec.o $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_dumpall.o dumputils.o exec.o $(EXTRA_OBJS) $(PORTOBJ) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  # We need our own build of exec.c so it gets made with -DFRONTEND
  exec.c: % : $(top_srcdir)/src/port/%
Index: bin/pg_resetxlog/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_resetxlog/Makefile,v
retrieving revision 1.10
diff -c -r1.10 Makefile
*** bin/pg_resetxlog/Makefile	25 May 2004 01:00:25 -0000	1.10
--- bin/pg_resetxlog/Makefile	31 Jul 2004 17:55:01 -0000
***************
*** 10,20 ****

  subdir = src/bin/pg_resetxlog
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS += -DFRONTEND

! OBJS= pg_resetxlog.o pg_crc.o dirmod.o exec.o

  all: submake-libpgport pg_resetxlog

--- 10,21 ----

  subdir = src/bin/pg_resetxlog
  top_builddir = ../../..
+ PGFILEDESC=pg_resetxlog - reset PostgreSQL WAL log
  include $(top_builddir)/src/Makefile.global

  override CPPFLAGS += -DFRONTEND

! OBJS= pg_resetxlog.o pg_crc.o dirmod.o exec.o $(PORTOBJ)

  all: submake-libpgport pg_resetxlog

Index: bin/pgevent/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pgevent/Makefile,v
retrieving revision 1.1
diff -c -r1.1 Makefile
*** bin/pgevent/Makefile	20 Jun 2004 01:32:49 -0000	1.1
--- bin/pgevent/Makefile	31 Jul 2004 20:33:36 -0000
***************
*** 8,13 ****
--- 8,15 ----

  subdir = src/bin/pgevent
  top_builddir = ../../..
+ PGFILEDESC=Eventlog message formatter
+ PGFILESHLIB=1
  include $(top_builddir)/src/Makefile.global

  OBJS=pgevent.o pgmsgevent.o
***************
*** 17,38 ****

  install: all install-lib

! pgevent.dll: $(OBJS) pgevent.def
  	dllwrap --def pgevent.def -o $(NAME) $(OBJS)
!
! pgmsgevent.o: pgmsgevent.rc
! 	windres pgmsgevent.rc -o pgmsgevent.o

  all-lib: $(NAME)

  install-lib: $(NAME)
  	$(INSTALL_STLIB) $< $(DESTDIR)$(libdir)/$<
!
  uninstall-lib:
  	rm -f $(DESTDIR)$(libdir)/$(NAME)

  clean:
! 	rm -f $(OBJS) $(NAME)

  clean-lib:
  	rm -f $(NAME)
--- 19,40 ----

  install: all install-lib

! pgevent.dll: $(OBJS) pgevent.def
  	dllwrap --def pgevent.def -o $(NAME) $(OBJS)
!
! pgmsgevent.o: pgmsgevent.rc win32ver.rc
! 	windres pgmsgevent.rc -o pgmsgevent.o --include-dir=$(top_builddir)/src/include

  all-lib: $(NAME)

  install-lib: $(NAME)
  	$(INSTALL_STLIB) $< $(DESTDIR)$(libdir)/$<
!
  uninstall-lib:
  	rm -f $(DESTDIR)$(libdir)/$(NAME)

  clean:
! 	rm -f $(OBJS) $(NAME) win32ver.rc

  clean-lib:
  	rm -f $(NAME)
Index: bin/pgevent/pgmsgevent.rc
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pgevent/pgmsgevent.rc,v
retrieving revision 1.1
diff -c -r1.1 pgmsgevent.rc
*** bin/pgevent/pgmsgevent.rc	20 Jun 2004 01:32:49 -0000	1.1
--- bin/pgevent/pgmsgevent.rc	31 Jul 2004 20:53:19 -0000
***************
*** 1,2 ****
--- 1,4 ----
  LANGUAGE 0x9,0x1
  1 11 MSG00001.bin
+
+ #include "win32ver.rc"
Index: bin/psql/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/Makefile,v
retrieving revision 1.47
diff -c -r1.47 Makefile
*** bin/psql/Makefile	24 May 2004 01:01:37 -0000	1.47
--- bin/psql/Makefile	31 Jul 2004 20:37:13 -0000
***************
*** 11,16 ****
--- 11,18 ----

  subdir = src/bin/psql
  top_builddir = ../../..
+ PGFILEDESC=psql - the PostgreSQL interactive terminal
+ PGAPPICON=pgsql
  include $(top_builddir)/src/Makefile.global

  REFDOCDIR= $(top_srcdir)/doc/src/sgml/ref
***************
*** 19,25 ****

  OBJS=	command.o common.o help.o input.o stringutils.o mainloop.o copy.o \
  	startup.o prompt.o variables.o large_obj.o print.o describe.o \
! 	psqlscan.o tab-complete.o mbprint.o exec.o

  FLEXFLAGS = -Cfe

--- 21,27 ----

  OBJS=	command.o common.o help.o input.o stringutils.o mainloop.o copy.o \
  	startup.o prompt.o variables.o large_obj.o print.o describe.o \
! 	psqlscan.o tab-complete.o mbprint.o exec.o $(PORTOBJ)

  FLEXFLAGS = -Cfe

Index: bin/scripts/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/scripts/Makefile,v
retrieving revision 1.28
diff -c -r1.28 Makefile
*** bin/scripts/Makefile	26 May 2004 17:24:05 -0000	1.28
--- bin/scripts/Makefile	31 Jul 2004 18:06:20 -0000
***************
*** 11,16 ****
--- 11,17 ----

  subdir = src/bin/scripts
  top_builddir = ../../..
+ PGFILEDESC=PostgreSQL unitility
  include $(top_builddir)/src/Makefile.global

  PROGRAMS = createdb createlang createuser dropdb droplang dropuser clusterdb vacuumdb
***************
*** 19,25 ****

  all: submake-libpq submake-backend $(PROGRAMS)

! %: %.o
  	$(CC) $(CFLAGS) $^ $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  createdb: createdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
--- 20,26 ----

  all: submake-libpq submake-backend $(PROGRAMS)

! %: %.o $(PORTOBJ)
  	$(CC) $(CFLAGS) $^ $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  createdb: createdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
***************
*** 64,68 ****

  clean distclean maintainer-clean:
  	rm -f $(addsuffix $(X), $(PROGRAMS)) $(addsuffix .o, $(PROGRAMS))
! 	rm -f common.o dumputils.o exec.o print.o mbprint.o
  	rm -f dumputils.c exec.c print.c mbprint.c
--- 65,69 ----

  clean distclean maintainer-clean:
  	rm -f $(addsuffix $(X), $(PROGRAMS)) $(addsuffix .o, $(PROGRAMS))
! 	rm -f common.o dumputils.o exec.o print.o mbprint.o $(PORTOBJ)
  	rm -f dumputils.c exec.c print.c mbprint.c
Index: interfaces/ecpg/preproc/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/ecpg/preproc/Makefile,v
retrieving revision 1.107
diff -c -r1.107 Makefile
*** interfaces/ecpg/preproc/Makefile	24 May 2004 01:01:38 -0000	1.107
--- interfaces/ecpg/preproc/Makefile	31 Jul 2004 20:44:07 -0000
***************
*** 2,7 ****
--- 2,8 ----

  subdir = src/interfaces/ecpg/preproc
  top_builddir = ../../../..
+ PGFILEDESC=ecpg - embedded SQL precompiler for C
  include $(top_builddir)/src/Makefile.global

  MAJOR_VERSION=3
***************
*** 20,26 ****

  OBJS=	preproc.o type.o ecpg.o ecpg_keywords.o output.o\
  	keywords.o c_keywords.o ../ecpglib/typename.o descriptor.o variable.o \
! 	exec.o

  all: submake-libpgport ecpg

--- 21,27 ----

  OBJS=	preproc.o type.o ecpg.o ecpg_keywords.o output.o\
  	keywords.o c_keywords.o ../ecpglib/typename.o descriptor.o variable.o \
! 	exec.o $(PORTOBJ)

  all: submake-libpgport ecpg
  
